#
# Conditional build:
%bcond_without	apidocs	# doxygen/sphinx API documentation
%bcond_without	python3 # CPython 3.x module

Summary:	Library for downloading Linux repository metadata and packages
Summary(pl.UTF-8):	Biblioteka do pobierania metadanych repozytoriów oraz pakietów dla Linuksa
Name:		librepo
Version:	1.17.0
Release:	1
License:	GPL v2+
Group:		Libraries
#Source0Download: https://github.com/rpm-software-management/librepo/releases
Source0:	https://github.com/rpm-software-management/librepo/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	8488be4aa9bf6624a5b99be85c1a3110
Patch0:		%{name}-link.patch
Patch1:		%{name}-gpgme-pkgconfig.patch
Patch2:		sphinx_executable.patch
URL:		http://rpm-software-management.github.io/librepo/
BuildRequires:	check-devel
BuildRequires:	cmake >= 2.8.5
BuildRequires:	curl-devel >= 7.52
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	glib2-devel >= 1:2.66
BuildRequires:	gpgme-devel
BuildRequires:	libselinux-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.742
%if %{with python3}
BuildRequires:	python3-devel >= 1:3
BuildRequires:	python3-modules >= 1:3
%{?with_apidocs:BuildRequires:	sphinx-pdg-3}
%endif
BuildRequires:	tar >= 1:1.22
BuildRequires:	zchunk-devel >= 0.9.11
BuildRequires:	xz
Requires:	curl-libs >= 7.52
Requires:	glib2 >= 1:2.66
Requires:	zchunk-libs >= 0.9.11
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A library providing C and Python (libcURL like) API for downloading
Linux repository metadata and packages.

%description -l pl.UTF-8
Biblioteka udostępniająca API C i Pythona (podobne do libcURL) służące
do pobierania metadanych repozytoriów oraz pakietów dla Linuksa.

%package devel
Summary:	Header files for librepo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki librepo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel >= 7.52
Requires:	glib2-devel >= 1:2.66
Requires:	gpgme-devel
Requires:	libxml2-devel >= 2.0
Requires:	openssl-devel
Requires:	zchunk-devel >= 0.9.11

%description devel
Header files for librepo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki librepo.

%package apidocs
Summary:	API documentation for librepo library
Summary(pl.UTF-8):	Dokumentacja API biblioteki librepo
Group:		Documentation
BuildArch:	noarch

%description apidocs
API documentation for librepo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki librepo.

%package -n python3-librepo
Summary:	Python 3 binding for librepo library
Summary(pl.UTF-8):	Wiązanie Pythona 3 do biblioteki librepo
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description -n python3-librepo
Python 3 binding for librepo library.

%description -n python3-librepo -l pl.UTF-8
Wiązanie Pythona 3 do biblioteki librepo.

%package -n python3-librepo-apidocs
Summary:	API documentation for Python librepo binding
Summary(pl.UTF-8):	Dokumentacja API do wiązań Pythona do librepo
Group:		Documentation
BuildArch:	noarch

%description -n python3-librepo-apidocs
API documentation for Python librepo binding.

%description -n python3-librepo-apidocs -l pl.UTF-8
Dokumentacja API do wiązań Pythona do librepo.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake .. \
	%{cmake_on_off apidocs ENABLE_DOCS} \
%if %{with python3}
	-DPYTHON_DESIRED=3 \
	-DPYTHON_INSTALL_DIR="%{py3_sitedir}" \
	-DSPHINX_EXECUTABLE=/usr/bin/sphinx-build-3
%endif

%{__make}

%if %{with apidocs}
%{__make} doc
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with python3}
%py3_comp $RPM_BUILD_ROOT%{py3_sitedir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_sitedir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_libdir}/librepo.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librepo.so
%{_includedir}/librepo
%{_pkgconfigdir}/librepo.pc

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc build/doc/c/html/*
%endif

%if %{with python3}
%files -n python3-librepo
%defattr(644,root,root,755)
%dir %{py3_sitedir}/librepo
%attr(755,root,root) %{py3_sitedir}/librepo/_librepo.so
%{py3_sitedir}/librepo/__init__.py
%{py3_sitedir}/librepo/__pycache__

%if %{with apidocs}
%files -n python3-librepo-apidocs
%defattr(644,root,root,755)
%doc build/doc/python/{_static,*.html,*.js}
%endif
%endif
%changelog
* Thu Oct 26 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/librepo.git;a=log;h=master

* Mon Oct 23 2023 Jan Palus <atler@pld-linux.org> 0f0f652
- up to 1.17.0

* Thu Sep 07 2023 Jan Palus <atler@pld-linux.org> 9b04553
- up to 1.16.0

* Tue Aug 01 2023 Jan Palus <atler@pld-linux.org> bafb824
- up to 1.15.2

* Tue Aug 01 2023 Jan Palus <atler@pld-linux.org> 9383f95
- BR: python3-modules for %py3_*comp

* Tue Aug 01 2023 Jan Palus <atler@pld-linux.org> 7205049
- explicitly enable/disable docs

* Sun Apr 02 2023 Jakub Bogusz <qboosh@pld-linux.org> c1403b0
- updated to 1.15.1
- added gpgme-pkgconfig patch to use pkg-config instead of (removed now) gpgme-config script

* Wed May 11 2022 Jan Rękorajski <baggins@pld-linux.org> 06d63d2
- up to 1.14.3

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 6dcf82b
- precompile py3 module, moved apidocs to subpackage

* Tue Mar 29 2022 Jan Palus <atler@pld-linux.org> a1a7e83
- typo

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> be563a3
- updated to 1.14.2

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> b188332
- rebuild with python 3.10

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> b3909cd
- rebuild with openssl 3.0.0

* Sun Mar 14 2021 Jan Rękorajski <baggins@pld-linux.org> ba50824
- 1.13.0
- python 2 support gone upstream

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> e7eaa22
- release 6 (by relup.sh)

* Fri Mar 05 2021 Jan Rękorajski <baggins@pld-linux.org> 40cb109
- rediff patches

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> a750aff
- unconditional noarch subpackages

* Fri Nov 01 2019 Jan Rękorajski <baggins@pld-linux.org> 83f1509
- release 5 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> ef693e6
- rebuild with python 3.8
- release 4 (by relup.sh)

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1ab8a25
- release 3 (by relup.sh)

* Thu Jul 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 59f7b91
- release 2 (by relup.sh)

